Return a snapshot of a setup
GET/v2/modules/:module/setups/:setupId/snapshots/:snapshotId
Retrieves a specific snapshot of the setup identified by its snapshot ID. A snapshot represents the full setup configuration as it was defined for that versioned state, which may be a historical record or a future scheduled change.
Request
Path Parameters
module stringrequired
setupId stringrequired
snapshotId stringrequired
Responses
- 200
- 404
Snapshot of setup retrieved successfully
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
client_defaults objectrequired
grant_types string[]required
force_reauthentication boolean
access_token_ttl integer
refresh_token_ttl integer
id_token_ttl integer
persisted_consent_ttl integer
resource_server_defaults objectrequired
scope_policy_implicit_flow string
scope_policy_authorization_code_flow string
scope_policy_refresh_token string
scope_policy_force_reauthentication boolean
metadata object[]required
name string
value string
locale string
name stringrequired
owner stringrequired
comment string
valid_from date-timerequired
{
"client_defaults": {
"grant_types": [
"string"
],
"force_reauthentication": true,
"access_token_ttl": 0,
"refresh_token_ttl": 0,
"id_token_ttl": 0,
"persisted_consent_ttl": 0
},
"resource_server_defaults": {
"scope_policy_implicit_flow": "string",
"scope_policy_authorization_code_flow": "string",
"scope_policy_refresh_token": "string",
"scope_policy_force_reauthentication": true
},
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"name": "string",
"owner": "string",
"comment": "string",
"valid_from": "2024-07-29T15:51:28.071Z"
}
No snapshot exists with the specified ID for this setup
Loading...